[Pcsclite-cvs-commit] r3264 - /trunk/PCSC/splint.sh

rousseau at users.alioth.debian.org rousseau at users.alioth.debian.org
Mon Jan 5 10:35:07 UTC 2009


Author: rousseau
Date: Mon Jan  5 10:35:07 2009
New Revision: 3264

URL: http://svn.debian.org/wsvn/pcsclite/?sc=1&rev=3264
Log:
script to call splint

Added:
    trunk/PCSC/splint.sh   (with props)

Added: trunk/PCSC/splint.sh
URL: http://svn.debian.org/wsvn/pcsclite/trunk/PCSC/splint.sh?rev=3264&op=file
==============================================================================
--- trunk/PCSC/splint.sh (added)
+++ trunk/PCSC/splint.sh Mon Jan  5 10:35:07 2009
@@ -1,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+# do not use debug.c and debuglog.c, they #include <syslog.h>
+# and splint does not like this include
+# do not use configfile.c since it is a lex file from configfile.l
+if [ $# -lt 1 ]
+then
+	files=$(ls -1 src/*.c | grep -v scf | grep -v debug | grep -v configfile)
+else
+	files="$@"
+fi
+inc="-I. -Isrc -Isrc/PCSC -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include "
+opt="-warnposix -unrecog -type -predboolint -likelybool"
+
+splint $inc $opt $files

Propchange: trunk/PCSC/splint.sh
------------------------------------------------------------------------------
    svn:executable = *




More information about the Pcsclite-cvs-commit mailing list